this.name			= "farsun";
this.author			= "Kaks";
this.copyright		= "Creative Commons: attribution, non-commercial, sharealike.";
this.description	= "micro OXP to increase the distance between the sun & planet";
this.version		= "1.03";

this.multiple=3;

this.moveSun = function(){
	let s = system.sun;
	if(s)
		s.setPosition(s.position.add(s.position.subtract(system.mainPlanet.position)).multiply(this.multiple));
	this.systemDone=true;
}

this.startUp = this.reset = function(){
	this.systemDone=false;
}

this.shipWillLaunchFromStation = function(){
	if(!this.systemDone)
		this.moveSun();
}

this.shipWillExitWitchspace = function(){
	// keep the sun close for oolite-nova
	if (galaxyNumber == 3 && !missionVariables.nova && player.hasEquipment("EQ_GAL_DRIVE") && missionVariables.novacount && missionVariables.novacount > 2) return;
	this.moveSun();
}

